GET /api/v3/accounts/{lcuid}/data-sources¶
Summary¶
GET accounts/{id}/data-sources
Description¶
Return a list of data sources for an account
Tags: accounts
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)data_sources(array)-
Array items:
objectType:objectProperties:
lcuid(string)name(string)active(boolean)status(integer)last_run_at(string)schedule(string)drive_templates(object) Type:object
Properties:
-
default_template_lcuid(string) -
created_at(string) updated_at(string)run_schedule(array)data_source_provider(object) Type:object
Properties:
name(string)inventory_item_class(array)- Array items:
string
- Array items:
inventory_item_class_description(string)-
options(object) Type:objectProperties:
primary_image_public_url(string)
-
lcuid(string) active(boolean)status(integer)status_comments(string)
Example Response¶
{
"success": true,
"data_sources": [
{
"lcuid": "LCUID-LF-49d4b5d9-80f3-4e12-82f6-fd03fc75cab1",
"name": "LC MLS System",
"active": true,
"status": 1,
"last_run_at": null,
"schedule": "0 * * * *",
"drive_templates": {
"default_template_lcuid": "LCUID-LDT-38030d4d-98d0-4abb-95a9-b69b7980afe1"
},
"created_at": "2026-02-03T18:11:52.000000Z",
"updated_at": "2026-02-03T18:11:52.000000Z",
"run_schedule": [],
"data_source_provider": {
"name": "LC MLS System",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"inventory_item_class_description": "Generic",
"options": {
"primary_image_public_url": null
},
"lcuid": "LCUID-LFP-772e6044-ed7c-4a2e-9bb3-0acb96b85f48",
"active": true,
"status": 1,
"status_comments": null
}
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/data-sources" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/data-sources"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/data-sources',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/data-sources'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()